%define name mozilla-jp
%define version 1.7
%define release b1

Name:		%{name}
Summary:	Localize for Mozilla
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Internet
#Source:		moz%{version}-langjajp-tm0.1.1.xpi
Source:		mozilla-jp-%{version}.tar.bz2
Requires:	mozilla >= %{version}
Requires:	mozilla-mail >= %{version}
Requires:	mozilla-nspr >= %{version}
Requires:	mozilla-nss >= %{version}
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: noarch


%description
Localize for Mozilla.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/usr/lib/mozilla-%{version}/chrome
install bin/chrome/*JP.jar %{buildroot}/usr/lib/mozilla-%{version}/chrome
install bin/chrome/ja-unix.jar %{buildroot}/usr/lib/mozilla-%{version}/chrome

# for messenger
mkdir -p %{buildroot}/usr/lib/mozilla-%{version}/defaults/messenger/JP
install bin/defaults/messenger/JP/* %{buildroot}/usr/lib/mozilla-%{version}/defaults/messenger/JP

# for profile
mkdir -p %{buildroot}/usr/lib/mozilla-%{version}/defaults/profile/JP
cp -a bin/defaults/profile/JP/* %{buildroot}/usr/lib/mozilla-%{version}/defaults/profile/JP

# for search plugin
mkdir -p %{buildroot}/usr/lib/mozilla-%{version}/searchplugins
install sp/* %{buildroot}/usr/lib/mozilla-%{version}/searchplugins


##
## Post Install Section
##

%post
cat >> /usr/lib/mozilla-%{version}/chrome/installed-chrome.txt << EOM
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/global/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/communicator/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/messenger/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/editor/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/navigator/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/necko/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/cookie/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/wallet/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/pipnss/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/pippki/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/content-packs/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/help/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/mozldap/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/forms/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/messenger-smime/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/messenger-mdn/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/chatzilla/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/venkman/
locale,install,url,jar:resource:/chrome/ja-JP.jar!/locale/ja-JP/inspector/
locale,install,url,jar:resource:/chrome/ja-unix.jar!/locale/ja-JP/global-platform/
locale,install,url,jar:resource:/chrome/ja-unix.jar!/locale/ja-JP/communicator-platform/
locale,install,url,jar:resource:/chrome/ja-unix.jar!/locale/ja-JP/navigator-platform/
locale,install,url,jar:resource:/chrome/JP.jar!/locale/JP/global-region/
locale,install,url,jar:resource:/chrome/JP.jar!/locale/JP/communicator-region/
locale,install,url,jar:resource:/chrome/JP.jar!/locale/JP/editor-region/
locale,install,url,jar:resource:/chrome/JP.jar!/locale/JP/messenger-region/
locale,install,url,jar:resource:/chrome/JP.jar!/locale/JP/navigator-region/
locale,install,select,ja-JP
locale,install,select,JP
EOM

rm /usr/lib/mozilla-%{version}/chrome/chrome.rdf


##
## Post Uninstall Section
##

#%postun


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/usr/lib/mozilla-%{version}/


##
## change log
##

%changelog
* Wed Jul 28 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
